ru.bitel.bgbilling.modules.tv.access.om

## Class OrderManagerSet

- java.lang.Object
- - java.util.concurrent.locks.ReentrantLock
  - - ru.bitel.bgbilling.modules.tv.access.om.OrderManagerSet

- All Implemented Interfaces:
    java.io.Serializable, java.util.concurrent.locks.Lock

      public class OrderManagerSet
      extends java.util.concurrent.locks.ReentrantLock

  Обертка вокруг набора OrderManager'ов.
  Метода init нет, так как туда передаются разные аргументы для каждого ServiceActivator.
  Author:
    amir
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrderManagerSet.OrderManagerHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderManagerSet(OrderManagerSet.OrderManagerHolder[] serviceActivators)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accountCreate(OrderManagerDeviceWorker device, AccountOrderEvent event, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `boolean` | `accountModify(OrderManagerDeviceWorker device, AccountOrderEvent event, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `boolean` | `accountOptionsModify(OrderManagerDeviceWorker device, AbstractOrderEvent event, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `boolean` | `accountRemove(OrderManagerDeviceWorker device, AccountOrderEvent event, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `boolean` | `accountStateModify(OrderManagerDeviceWorker device, AccountOrderEvent event, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `java.lang.Object` | `connect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `void` | `destroy()`
    `void` | `disconnect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`
    `boolean` | `isAlive()`
    `boolean` | `productsModify(OrderManagerDeviceWorker device, ProductOrderEvent event, ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)`

    - ### Methods inherited from class java.util.concurrent.locks.ReentrantLock

      `getHoldCount, getOwner, getQueuedThreads, getQueueLength, getWaitingThreads, getWaitQueueLength, hasQueuedThread, hasQueuedThreads, hasWaiters, isFair, isHeldByCurrentThread, isLocked, lock, lockInterruptibly, newCondition, toString, tryLock, tryLock, unlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderManagerSet

          public OrderManagerSet(OrderManagerSet.OrderManagerHolder[] serviceActivators)

  - ### Method Detail

    - #### isAlive

          public boolean isAlive()

    - #### destroy

          public void destroy()

    - #### connect

          public java.lang.Object connect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### disconnect

          public void disconnect(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### accountRemove

          public boolean accountRemove(OrderManagerDeviceWorker device,
                                       AccountOrderEvent event,
                                       ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### accountCreate

          public boolean accountCreate(OrderManagerDeviceWorker device,
                                       AccountOrderEvent event,
                                       ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### accountModify

          public boolean accountModify(OrderManagerDeviceWorker device,
                                       AccountOrderEvent event,
                                       ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### accountStateModify

          public boolean accountStateModify(OrderManagerDeviceWorker device,
                                            AccountOrderEvent event,
                                            ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### accountOptionsModify

          public boolean accountOptionsModify(OrderManagerDeviceWorker device,
                                              AbstractOrderEvent event,
                                              ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### productsModify

          public boolean productsModify(OrderManagerDeviceWorker device,
                                        ProductOrderEvent event,
                                        ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`